#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 coinbase-pro
version:              0.9.3.2
visibility:           public
id:                   coinbase-pro-0.9.3.2-BT6MpmGW26kDWFPtQTBjbE
key:                  coinbase-pro-0.9.3.2-BT6MpmGW26kDWFPtQTBjbE
license:              MIT
copyright:            2022 Michael Dunn <michaelsdunn1@gmail.com>
maintainer:           Michael Dunn <michaelsdunn1@gmail.com>
author:               Michael Dunn <michaelsdunn1@gmail.com>
homepage:             https://github.com/mdunnio/coinbase-pro#readme
synopsis:             Client for Coinbase Pro
description:          Client for Coinbase Pro REST and Websocket APIs
category:             Web, Finance
abi:                  e8e0dc4cf1eff4b084e878287ce8fae5
exposed:              True
exposed-modules:
    CoinbasePro.Authenticated CoinbasePro.Authenticated.API
    CoinbasePro.Authenticated.Accounts
    CoinbasePro.Authenticated.CoinbaseAccounts
    CoinbasePro.Authenticated.Conversion
    CoinbasePro.Authenticated.Deposit CoinbasePro.Authenticated.Fills
    CoinbasePro.Authenticated.Headers CoinbasePro.Authenticated.Limits
    CoinbasePro.Authenticated.Oracle CoinbasePro.Authenticated.Orders
    CoinbasePro.Authenticated.Payment CoinbasePro.Authenticated.Profile
    CoinbasePro.Authenticated.Report CoinbasePro.Authenticated.Request
    CoinbasePro.Authenticated.Transfer
    CoinbasePro.Authenticated.Withdrawal CoinbasePro.Environment
    CoinbasePro.Headers CoinbasePro.MarketData.AggregateOrderBook
    CoinbasePro.MarketData.FullOrderBook CoinbasePro.MarketData.Types
    CoinbasePro.Request CoinbasePro.Types CoinbasePro.Unauthenticated
    CoinbasePro.Unauthenticated.API CoinbasePro.WebSocketFeed
    CoinbasePro.WebSocketFeed.Channel
    CoinbasePro.WebSocketFeed.Channel.Full.Activate
    CoinbasePro.WebSocketFeed.Channel.Full.Change
    CoinbasePro.WebSocketFeed.Channel.Full.Done
    CoinbasePro.WebSocketFeed.Channel.Full.Match
    CoinbasePro.WebSocketFeed.Channel.Full.Open
    CoinbasePro.WebSocketFeed.Channel.Full.Received
    CoinbasePro.WebSocketFeed.Channel.Heartbeat
    CoinbasePro.WebSocketFeed.Channel.Level2
    CoinbasePro.WebSocketFeed.Channel.Status
    CoinbasePro.WebSocketFeed.Channel.Ticker
    CoinbasePro.WebSocketFeed.Request
    CoinbasePro.WebSocketFeed.Response

hidden-modules:       Paths_coinbase_pro
import-dirs:          /usr/lib/ghc-9.2.8/site-local/coinbase-pro-0.9.3.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/coinbase-pro-0.9.3.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-coinbase-pro
hs-libraries:         HScoinbase-pro-0.9.3.2-BT6MpmGW26kDWFPtQTBjbE
depends:
    HsOpenSSL-0.11.7.8-It47ZSD5aXTB2dEw4atKus
    aeson-2.1.2.1-GLiPeiAR7ZSFwx9H49aVEA
    aeson-casing-0.2.0.0-HnYPuuBzILj4kdYZBOmqJn
    async-2.2.5-FpYc2RUKqMh7VEhubouhdj base-4.16.4.0 binary-0.8.9.0
    bytestring-0.11.4.0 containers-0.6.5.1
    cryptonite-0.30-HZCyAPcykYlJq8aNFFA6J6 exceptions-0.10.4
    http-api-data-0.5.1-4kbup21JAX04JgfQc73D2Y
    http-client-0.7.17-EFmEUThXTDfDt0qoIOD07x
    http-client-tls-0.3.6.3-FJOxFsYtwFH1vBtELLr9uD
    http-streams-0.8.9.9-CItiOHv3W7sAuKKDhLXrj9
    http-types-0.12.4-2rcXIQEupHkLpBuJocqUeT
    io-streams-1.5.2.2-JuRJA9w6LCiLulJaBL5o8B
    memory-0.18.0-Hvum6HaH78UJG59LYyNLK1
    network-3.1.4.0-GfG23cgXhomCxCQnvsPNoG
    servant-0.20.2-6MT2Z6fGskMDE3zRrshYMY
    servant-client-0.20-8tvZKBAUEZXGUaxNaSXlOt
    servant-client-core-0.20.2-1iNZfrablEf5d4ZRNbnhR
    tasty-1.4.3-BG6Yq8O1pSH8nMx3y1m7gA
    tasty-hunit-0.10.1-8mkOv4IsG0vDeye0HSmmIY text-1.2.5.0
    time-1.11.1.1 transformers-0.5.6.2
    unagi-streams-0.2.7-G0dFMW4bIOnBf4XLUyNOUb
    unordered-containers-0.2.20-4Y4A6Wn35BzvWquDAxs4Y
    uuid-1.3.15-Lthb0rhzKIw7roxXf3b299
    vector-0.13.1.0-Il4qKxVtRccCcBZCzPMWy6
    websockets-0.12.7.3-BAxfIg8SUTPLoDgqdMr8BS
    wuss-2.0.1.1-AnqU28VHxkSEjS7vVfDF8J

haddock-interfaces:
    /usr/share/doc/haskell-coinbase-pro/html/coinbase-pro.haddock

haddock-html:         /usr/share/doc/haskell-coinbase-pro/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

